Get Classify Run

Retrieve details about a specific classify run, including its status and outputs. A common use case for this endpoint is to poll for the status and final output of a classify run when using the [Create Classify Run](https://docs.extend.ai/2026-02-09/developers/api-reference/endpoints/classify/create-classify-run) endpoint. For instance, if you do not want to not configure webhooks to receive the output via completion/failure events.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier for this classify run.

Example: "cl_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Response

Successfully retrieved classify run
objectenum

The type of object. Will always be "classify_run".

Allowed values:
idstring

The unique identifier for this classify run.

Example: "clr_Xj8mK2pL9nR4vT7qY5wZ"

classifierobject or null

The classifier that was used for this run.

Availability: Present when a classifier reference was provided. Not present when using inline config.

classifierVersionobject or null

The version of the classifier that was used for this run.

Availability: Present when a classifier reference was provided. Not present when using inline config.

statusenum
The status of a processor run (extract, classify, or split): * `"PROCESSING"` - The run is in progress * `"PROCESSED"` - The run completed successfully * `"FAILED"` - The run failed * `"CANCELLED"` - The run was cancelled
Allowed values:
outputobject or null

The final output, either reviewed or initial.

Availability: Present when status is "PROCESSED".

initialOutputobject or null

The initial output from the classify run, before any review edits.

Availability: Present when reviewed is true.

reviewedOutputobject or null

The output after human review.

Availability: Present when reviewed is true.

failureReasonstring or null
The reason for failure. **Availability:** Present when `status` is `"FAILED"`. Possible values include: * `ABORTED` - The run was aborted by the user * `INTERNAL_ERROR` - An unexpected internal error occurred * `FAILED_TO_PROCESS_FILE` - Failed to process the file (e.g., OCR failure, file access issues) * `INVALID_PROCESSOR` - The processor configuration is invalid * `INVALID_CONFIGURATION` - The provided configuration is incompatible with the selected model * `PARSING_ERROR` - Failed to parse the classification output * `PRE_PROCESSING_FAILURE` - An error occurred during preprocessing * `POST_PROCESSING_FAILURE` - An error occurred during postprocessing * `OUT_OF_CREDITS` - Insufficient credits to run the classification **Note:** Additional failure reasons may be added in the future. Your integration should handle unknown values gracefully.
failureMessagestring or null

A detailed message about the failure.

Availability: Present when status is "FAILED".

metadatamap from strings to any or null

Any metadata that was provided when creating the classify run.

Availability: Present when metadata was provided during creation.

reviewedboolean
Indicates whether the run has been reviewed by a human.
editedboolean
Indicates whether the run results have been edited during review.
configobject
The configuration used for this classify run.
fileobject
The file that was processed.
parseRunIdstring or null

The ID of the parse run that was used for this classify run.

Availability: Present when a parse run was created.

dashboardUrlstring
The URL to view the classify run in the Extend dashboard.
usageobject or null
Usage credits consumed by this run. **Availability:** This field will not be returned for: * Runs created before October 7, 2025 * Customers on legacy billing systems
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

updatedAtstringformat: "date-time"

The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors